public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/commonmarker/
Date: Sat, 26 Aug 2023 06:53:08 +0000 (UTC)	[thread overview]
Message-ID: <1693032783.5bc67c1fe1002a3b2df830f0d2783e2604214aaf.graaff@gentoo> (raw)

commit:     5bc67c1fe1002a3b2df830f0d2783e2604214aaf
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 26 06:46:53 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug 26 06:53:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bc67c1f

dev-ruby/commonmarker: add 0.23.10

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/commonmarker/Manifest                    |  1 +
 dev-ruby/commonmarker/commonmarker-0.23.10.ebuild | 41 +++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-ruby/commonmarker/Manifest b/dev-ruby/commonmarker/Manifest
index 91d3f86b8575..5b0204dd1cf9 100644
--- a/dev-ruby/commonmarker/Manifest
+++ b/dev-ruby/commonmarker/Manifest
@@ -1,2 +1,3 @@
+DIST commonmarker-0.23.10.tar.gz 172611 BLAKE2B df583a7e9f588cc726b985c90e03f7470d92d907d7507bf1a0f8c174e08a502036d2cdab6e45eb61c3c58dd810be1f682c51a787236da887a9d9f9ccf0fc13f6 SHA512 587cbf7037725bee57a61d75d83389ee209d943cc69ce32edf79fc292034a4bbede0a9f7cad7eff7a029f998572c6840a8d95d7387fb0806d79cf7351f85e5a1
 DIST commonmarker-0.23.8.tar.gz 171412 BLAKE2B 95f5fa8314af31dfe97bb8bad9eb6c57dc2e02f1b710c7f50e4500e3cad978b0b44e7a1104386d0cf0742e2d896208ced2a8f205c30ffbf4e444b991586b5ab8 SHA512 3e73ef5505804cbeb8190472f3ca8dc7f199de0ca410df35ab5e9948e94ade59670130f829218f6f2d39c3a6f41a9cb149f9aefc6c8f72443441ec66e642cd1e
 DIST commonmarker-0.23.9.tar.gz 171834 BLAKE2B 140d712e12f59c507853718437617e076705f62adee133a95d18da1fb1f21ace208dd5c1a77dba6639b24e1c8288a2249f974145c694fbe3bae4e82f518f0428 SHA512 2ff0e798f925c4b547390457fcdc88d7321da6d37ce272216307eae6862fb6d985722b8e6335f9ab3a7d75717656451615fdd47a341d29f05f8508335dda971f

diff --git a/dev-ruby/commonmarker/commonmarker-0.23.10.ebuild b/dev-ruby/commonmarker/commonmarker-0.23.10.ebuild
new file mode 100644
index 000000000000..17063c80f58f
--- /dev/null
+++ b/dev-ruby/commonmarker/commonmarker-0.23.10.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/commonmarker/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/commonmarker"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="commonmarker.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast, safe, extensible parser for CommonMark, wrapping the libcmark library"
+HOMEPAGE="https://github.com/gjtorikian/commonmarker"
+SRC_URI="https://github.com/gjtorikian/commonmarker/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+# app-text/cmark is bundled in a modified way and integrated with the gem code
+
+all_ruby_prepare() {
+	sed -i -e '/focus/ s:^:#:' test/test_helper.rb || die
+
+	# Avoid tests depending on unbundled cmark specification files
+	rm -f test/test_{spec,smartpunct}.rb || die
+
+}
+
+each_ruby_prepare() {
+	# Use current ruby version
+	sed -i -e '/make_bin/,/end/ s:ruby:'${RUBY}':' test/test_helper.rb || die
+}
+
+each_ruby_test() {
+	MT_NO_PLUGINS=1 ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each {|f| require f}' || die
+}


             reply	other threads:[~2023-08-26  6:53 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-26  6:53 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-27 20:43 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/commonmarker/ Hans de Graaff
2023-12-27 20:43 Hans de Graaff
2023-07-12  7:46 Hans de Graaff
2023-04-12  6:16 Hans de Graaff
2023-03-27 13:25 Sam James
2023-02-04  7:41 Hans de Graaff
2023-01-25  7:30 Hans de Graaff
2022-10-01  7:06 Hans de Graaff
2022-07-18  8:27 Hans de Graaff
2022-07-17  8:48 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693032783.5bc67c1fe1002a3b2df830f0d2783e2604214aaf.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox